#include <OneWire.h>
#include <DallasTemperature.h>
#define PIN_TEMP1 2
OneWire oneWireTemp1(PIN_TEMP1);
DallasTemperature tempSensor1(&oneWireTemp1);

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  tempSensor1.begin();
}

void loop() {
  // put your main code here, to run repeatedly:
  tempSensor1.requestTemperatures();
  float temperature1 = tempSensor1.getTempCByIndex(0);

  Serial.print("temperature: ");
  Serial.println(temperature1, 2);
  delay(1000);
}
